/*
 * Java 1.7
 *
 * Copyright 2017-2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.security.command;

/**
 * This Exception is thrown when an error occurred while unwrapping a command.
 */
public class InvalidCommandFormatException extends RuntimeException {

	/**
	 *
	 */
	private static final long serialVersionUID = -7973696355329715949L;

	/**
	 * Constructs an instance of this class.
	 */
	public InvalidCommandFormatException() {
		super();
	}

	/**
	 * Constructs an instance of this class with a cause.
	 *
	 * @param cause
	 *            the cause. (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
	 * @see Exception#Exception(Throwable)
	 */
	public InvalidCommandFormatException(Throwable cause) {
		super(cause);
	}

	/**
	 * Constructs a SignedCommandException with the specified, detailed message.
	 *
	 * @param message
	 *            the detail message.
	 * @see Exception#Exception(String)
	 */
	public InvalidCommandFormatException(String message) {
		super(message);
	}

	/**
	 * Constructs an instance of this class with both a message and a cause.
	 *
	 * @param message
	 *            the detail message.
	 * @param cause
	 *            the cause. (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
	 * @see Exception#Exception(String, Throwable)
	 */
	public InvalidCommandFormatException(String message, Throwable cause) {
		super(message, cause);
	}
}
