/*
 * Java
 *
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.kernel;

/**
 *
 */
public interface ManagementListener {

	/**
	 * This method is called when the Wadapps management has registered all its
	 * services
	 */
	public void servicesRegistered();

	/**
	 * This method is called when the Wadapps management has unregistered all its
	 * services
	 */
	public void servicesUnregistered();

	/**
	 * This method is called when the Launcher is changed by the ActivitiesScheduler
	 *
	 * @param launcherID
	 *            the identifier of the new launcher, or <code>null</code> if the
	 *            system has no launcher anymore.
	 */
	public void launcherChanged(String launcherID);
}
