/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.rcommand.RemoteCommandManager;

/**
 * Helper class that registers all the commands in a command manager.
 *
 */
public class WadappsCommands {

	/**
	 * Registers all the Wadapps Commands into the specified command manager
	 *
	 * @param commandManager the command manager to populate.
	 */
	public static void registerCommands(RemoteCommandManager commandManager) {
		commandManager.registerListener(new InstallCommand());
		commandManager.registerListener(new ListCommand());
		commandManager.registerListener(new StartCommand());
		commandManager.registerListener(new StopCommand());
		commandManager.registerListener(new UninstallCommand());
		commandManager.registerListener(new FactoryResetCommand());
		commandManager.registerListener(new InstallCommandWithMetadata());
		commandManager.registerListener(new DeviceInfoCommand());
		commandManager.registerListener(new StateApplicationCommand());
		commandManager.registerListener(new ListCommandPlus());
	}
}
