/*
 * Java
 *
 * Copyright 2018-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand.util;

import java.io.IOException;
import java.io.InputStream;

import ej.components.dependencyinjection.ServiceLoaderFactory;
import ej.wadapps.management.ImageInfo;
import ej.wadapps.storage.Storage;

/**
 *
 */
public class BasicImageInfo implements ImageInfo {

	private String identifier;
	private int width;
	private int height;

	@Override
	public String getIdentifier() {
		return this.identifier;
	}

	/**
	 * Sets the identifier.
	 *
	 * @param identifier
	 *            the identifier to set.
	 */
	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	@Override
	public int getWidth() {
		return this.width;
	}

	/**
	 * Sets the width.
	 *
	 * @param width
	 *            the width to set.
	 */
	public void setWidth(int width) {
		this.width = width;
	}

	@Override
	public int getHeight() {
		return this.height;
	}

	/**
	 * Sets the height.
	 *
	 * @param height
	 *            the height to set.
	 */
	public void setHeight(int height) {
		this.height = height;
	}

	@Override
	public InputStream getImage() throws IOException {
		Storage storage = ServiceLoaderFactory.getServiceLoader().getService(Storage.class);
		return new OneShotInputStream(this.identifier, storage.load(this.identifier));
	}
}
