# Overview

This library provides interfaces and classes stubs of the Bluetooth API.

It provides the following features:
- Scan nearby devices.
- Advertise to nearby devices.
- Connect to and disconnect from a device.
- Pair with a device.
- Reply to a pairing request from a device.
- Provide GATT services.
- Discover the GATT services provided by a device.
- Read or write a characteristic or descriptor of a device.
- Reply to a read or write request from a device.
- Send characteristic notifications and indications to a device.

# Usage

Add the following line to your `module.ivy`:

    <dependency org="ej.api" name="bluetooth" rev="2.1.1"/>

# Requirements

This library requires the following Foundation Libraries:

    EDC-1.3

# Dependencies

_All dependencies are retrieved transitively by MicroEJ Module Manager_.

# Source

N/A

# Restrictions

None.

---
_Copyright 2018-2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  
