/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.zwave.device;

import java.io.IOException;

import ej.basedriver.PowerMeter;
import ej.basedriver.zwave.ZwaveNode;

/**
 * A ZwavePowerMeter
 */
public class ZwavePowerMeter extends ZwaveDevice implements PowerMeter{

	/**
	 * @param node
	 */
	public ZwavePowerMeter(ZwaveNode node) {
		super(node);
	}

	@Override
	public int getInstantConsumption() {
		return 0;
	}

	@Override
	public void requestInstantConsumptionUpdate() throws IOException {
	}

	@Override
	public int getAccumulatedConsumption() {
		return 0;
	}

	@Override
	public void requestAccumulatedConsumptionUpdate() throws IOException {
	}

	@Override
	public void resetAccumulatedConsumption() {
	}

}
