/*
 * Java
 *
 * Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.data.pubsub;

import ej.kf.Proxy;

class MqttAgentProxy extends Proxy<MqttAgent> implements MqttAgent {

	private static final String DEFAULT_ID = "Unknown";

	@Override
	public MqttContext newMqttContext() {
		try{
			return (MqttContext)invokeRef();
		}
		catch(Throwable e){
			return null;
		}
	}

	@Override
	public String getId() {
		try{
			return (String)invokeRef();
		}
		catch(Throwable e){
			return DEFAULT_ID;
		}
	}

}
