/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.library.ui;

/**
 * This class gather MicroEJ colors.
 */
public final class MicroEJColors {

	/**
	 * Coral color.
	 * <ul>
	 * <li>HTML: #EE502E</li>
	 * <li>RGB: 238 80 46</li>
	 * <li>CMJN: 0 84 99 0</li>
	 * <li>Pantone: 1655 c</li>
	 * </ul>
	 */
	public static final int CORAL = 0xee502e;

	/**
	 * Pomegranate color.
	 * <ul>
	 * <li>HTML: #CF4520</li>
	 * <li>RGB: 207 69 32</li>
	 * <li>CMJN: 13 87 100 3</li>
	 * <li>Pantone: 173 c</li>
	 * </ul>
	 */
	public static final int POMEGRANATE = 0xcf4520;

	/**
	 * Chick color.
	 * <ul>
	 * <li>HTML: #FFC845</li>
	 * <li>RGB: 255 200 69</li>
	 * <li>CMJN: 0 19 79 0</li>
	 * <li>Pantone: 1225 c</li>
	 * </ul>
	 */
	public static final int CHICK = 0xffc845;

	/**
	 * Amber color.
	 * <ul>
	 * <li>HTML: #F8331</li>
	 * <li>RGB: 255 163 0</li>
	 * <li>CMJN: 0 41 100 0</li>
	 * <li>Pantone: 137 c</li>
	 * </ul>
	 */
	public static final int AMBER = 0xf8a331;

	/**
	 * Turquoise color.
	 * <ul>
	 * <li>HTML: #00AEC7</li>
	 * <li>RGB: 0 174 199</li>
	 * <li>CMJN: 76 8 18 0</li>
	 * <li>Pantone: 3125 c</li>
	 * </ul>
	 */
	public static final int TURQUOISE = 0x00aec7;

	/**
	 * Bondi color.
	 * <ul>
	 * <li>HTML: #008EAA</li>
	 * <li>RGB: 0 142 170</li>
	 * <li>CMJN: 84 29 25 1</li>
	 * <li>Pantone: 3135 c</li>
	 * </ul>
	 */
	public static final int BONDI = 0x008eaa;

	/**
	 * Absinthe color.
	 * <ul>
	 * <li>HTML: #6CC24A</li>
	 * <li>RGB: 108 194 74</li>
	 * <li>CMJN: 61 0 99 0</li>
	 * <li>Pantone: 360 c</li>
	 * </ul>
	 */
	public static final int ABSINTHE = 0x6cc24a;

	/**
	 * Avocado color.
	 * <ul>
	 * <li>HTML: #48Q23F</li>
	 * <li>RGB: 72 162 63</li>
	 * <li>CMJN: 75 11 100 1</li>
	 * <li>Pantone: 7738 c</li>
	 * </ul>
	 */
	public static final int AVOCADO = 0x48a23f;

	/**
	 * White color.
	 * <ul>
	 * <li>HTML: #FFFFFF</li>
	 * <li>RGB: 255 255 255</li>
	 * <li>CMJN: 0 0 0 0</li>
	 * </ul>
	 */
	public static final int WHITE = 0xffffff;

	/**
	 * Concrete + White 75% color.
	 * <ul>
	 * <li>HTML: #E5E9EB</li>
	 * <li>RGB: 229 233 235</li>
	 * <li>CMJN: 3 0 0 10</li>
	 * </ul>
	 */
	public static final int CONCRETE_WHITE_75 = 0xe5e9eb;

	/**
	 * Concrete + White 50% color.
	 * <ul>
	 * <li>HTML: #CBD3D7</li>
	 * <li>RGB: 203 211 215</li>
	 * <li>CMJN: 5 0 0 20</li>
	 * </ul>
	 */
	public static final int CONCRETE_WHITE_50 = 0xcbd3d7;

	/**
	 * Concrete + White 25% color.
	 * <ul>
	 * <li>HTML: #B1BDC3</li>
	 * <li>RGB: 177 189 195</li>
	 * <li>CMJN: 7 0 0 30</li>
	 * </ul>
	 */
	public static final int CONCRETE_WHITE_25 = 0xb1bdc3;

	/**
	 * Concrete color.
	 * <ul>
	 * <li>HTML: #B1BDC3</li>
	 * <li>RGB: 177 189 195</li>
	 * <li>CMJN: 7 0 0 30</li>
	 * <li>Pantone: 422 c</li>
	 * </ul>
	 */
	public static final int CONCRETE = 0x97a7af;

	/**
	 * Concrete + Black 25% color.
	 * <ul>
	 * <li>HTML: #717D83</li>
	 * <li>RGB: 113 125 131</li>
	 * <li>CMJN: 5 0 0 67</li>
	 * </ul>
	 */
	public static final int CONCRETE_BLACK_25 = 0x717d83;

	/**
	 * Concrete + Black 50% color.
	 * <ul>
	 * <li>HTML: #4B5357</li>
	 * <li>RGB: 75 83 87</li>
	 * <li>CMJN: 4 0 0 85</li>
	 * </ul>
	 */
	public static final int CONCRETE_BLACK_50 = 0x4b5357;

	/**
	 * Concrete + Black 75% color.
	 * <ul>
	 * <li>HTML: #262A2C</li>
	 * <li>RGB: 38 42 44</li>
	 * <li>CMJN: 5 0 0 98</li>
	 * </ul>
	 */
	public static final int CONCRETE_BLACK_75 = 0x262a2c;

	private MicroEJColors() {
		// forbid instantiation.
	}
}
