# Overview

This library is a framework for multi-application development.
It extends service (ej.library.runtime#service) and property (ej.library.runtime#property) libraries to
propose a way to share services and properties between applications.

## Service Injection

- Service injection using system properties only works for the main part of the software: either in
mono-sandboxed context or in the kernel of a multi-sandboxed context.

- Adding a file named with the fully qualified name of the service in the `META-INF/services` folder of
an application. The content of the file is the fully qualified name of the implementation.

## Shared Service Registry

It is possible to share a service implementation with other applications in a multi-application context by
registering the service in the `ej.wadapps.service.SharedServiceRegistry`:

    SharedServiceRegistry sharedServiceRegistry = ServiceFactory.getServiceLoader().getService(SharedServiceRegistry.class);
    sharedServiceRegistry.register(MyService.class, myInstance);

To register a service in this shared service registry it must be a shared interface.

# Usage

Add the following line to your `module.ivy` or your `ivy.xml`:

	<dependency org="ej.library.wadapps" name="wadapps" rev="2.1.1"/>

# Requirements

	BON-1.3, EDC-1.2

# Dependencies

_All dependencies are retrieved transitively by Ivy resolver_.

# Source

N/A

# Restrictions

None.

___
_Copyright 2016-2019 IS2T. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break IS2T warranties on the whole library._  
