/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style;

/**
 * Represents the states of an element.
 */
public enum State {

	// pseudo-classes
	/**
	 * Active pseudo-class.
	 */
	Active,
	/**
	 * Checked pseudo-class.
	 */
	Checked,
	/**
	 * Disabled pseudo-class.
	 */
	Disabled,
	/**
	 * Empty pseudo-class.
	 */
	Empty,
	/**
	 * Enabled pseudo-class.
	 */
	Enabled,
	/**
	 * Focus pseudo-class.
	 */
	Focus,
	/**
	 * Hover pseudo-class.
	 */
	Hover,
	/**
	 * InRange pseudo-class.
	 */
	InRange,
	/**
	 * Invalid pseudo-class.
	 */
	Invalid,
	/**
	 * Link pseudo-class.
	 */
	Link,
	/**
	 * Optional pseudo-class.
	 */
	Optional,
	/**
	 * OutOfRange pseudo-class.
	 */
	OutOfRange,
	/**
	 * ReadOnly pseudo-class.
	 */
	ReadOnly,
	/**
	 * ReadWrite pseudo-class.
	 */
	ReadWrite,
	/**
	 * Required pseudo-class.
	 */
	Required,
	/**
	 * Root pseudo-class.
	 */
	Root,
	/**
	 * Target pseudo-class.
	 */
	Target,
	/**
	 * Valid pseudo-class.
	 */
	Valid,
	/**
	 * Visited pseudo-class.
	 */
	Visited,
}
