/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.dimension;

import ej.style.container.Rectangle;

/**
 * Dimension without constraint.
 */
public final class NoDimension implements Dimension {

	/**
	 * NoDimension singleton to avoid creating several ones.
	 */
	// assume that it is stateless
	public static final NoDimension NO_DIMENSION = new NoDimension();

	private NoDimension() {
	}

	@Override
	public void apply(Rectangle contentBounds, Rectangle sizeHint) {
		// do not modify the given size
	}

}
