/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.admin;

/**
 * Listen to applications lifecycle events.
 *
 * @see ApplicationsManager#addApplicationLifecycleListener(ApplicationLifecycleListener)
 */
public interface ApplicationLifecycleListener {

	/**
	 * Called whenever an application has changed in the observed applications manager.
	 *
	 * @param application
	 *            the application that has changed.
	 */
	void stateChanged(Application application);

}
