/*
 * Java
 *
 * Copyright 2015-2018 IS2T. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break IS2T warranties on the whole library.
 */
package ej.wadapps.application;

/**
 * Listen to applications lifecycle events.
 *
 * @see ApplicationManager#addApplicationLifecycleListener(ApplicationLifecycleListener)
 */
public interface ApplicationLifecycleListener {

	/**
	 * Called when the application is started.
	 *
	 * @param application
	 *            the started application.
	 */
	void onStart(Application application);

	/**
	 * Called when the application is stopped.
	 *
	 * @param application
	 *            the stopped application.
	 */
	void onStop(Application application);

}
