/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.registry;

import ej.components.ServiceRegistry;
import ej.components.dependencyinjection.ServiceLoader;

/**
 * The shared registry is used to share services between different applications.
 */
public interface SharedRegistry extends ServiceLoader, ServiceRegistry {

	/**
	 * Unregisters a service implementation.
	 * <p>
	 * The given instance is no more returned each time the service is requested by {@link #getService(Class)}.
	 *
	 * @param service
	 *            the implemented service.
	 * @param implementation
	 *            the service implementation.
	 * @param <T>
	 *            the service type.
	 */
	<T> void unregister(Class<T> service, T implementation);

}